]> jfr.im git - irc/gameservirc.git/blob - gameserv/configure
Added a lot of functionality. Added player flags and save/load them in the players...
[irc/gameservirc.git] / gameserv / configure
1 #! /bin/sh
2 # Guess values for system-dependent variables and create Makefiles.
3 # Generated automatically using autoconf version 2.13
4 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
5 #
6 # This configure script is free software; the Free Software Foundation
7 # gives unlimited permission to copy, distribute and modify it.
8
9 # Defaults:
10 ac_help=
11 ac_default_prefix=/usr/local
12 # Any additions from configure.in:
13
14 # Initialize some variables set by options.
15 # The variables have the same names as the options, with
16 # dashes changed to underlines.
17 build=NONE
18 cache_file=./config.cache
19 exec_prefix=NONE
20 host=NONE
21 no_create=
22 nonopt=NONE
23 no_recursion=
24 prefix=NONE
25 program_prefix=NONE
26 program_suffix=NONE
27 program_transform_name=s,x,x,
28 silent=
29 site=
30 srcdir=
31 target=NONE
32 verbose=
33 x_includes=NONE
34 x_libraries=NONE
35 bindir='${exec_prefix}/bin'
36 sbindir='${exec_prefix}/sbin'
37 libexecdir='${exec_prefix}/libexec'
38 datadir='${prefix}/share'
39 sysconfdir='${prefix}/etc'
40 sharedstatedir='${prefix}/com'
41 localstatedir='${prefix}/var'
42 libdir='${exec_prefix}/lib'
43 includedir='${prefix}/include'
44 oldincludedir='/usr/include'
45 infodir='${prefix}/info'
46 mandir='${prefix}/man'
47
48 # Initialize some other variables.
49 subdirs=
50 MFLAGS= MAKEFLAGS=
51 SHELL=${CONFIG_SHELL-/bin/sh}
52 # Maximum number of lines to put in a shell here document.
53 ac_max_here_lines=12
54
55 ac_prev=
56 for ac_option
57 do
58
59 # If the previous option needs an argument, assign it.
60 if test -n "$ac_prev"; then
61 eval "$ac_prev=\$ac_option"
62 ac_prev=
63 continue
64 fi
65
66 case "$ac_option" in
67 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
68 *) ac_optarg= ;;
69 esac
70
71 # Accept the important Cygnus configure options, so we can diagnose typos.
72
73 case "$ac_option" in
74
75 -bindir | --bindir | --bindi | --bind | --bin | --bi)
76 ac_prev=bindir ;;
77 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
78 bindir="$ac_optarg" ;;
79
80 -build | --build | --buil | --bui | --bu)
81 ac_prev=build ;;
82 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
83 build="$ac_optarg" ;;
84
85 -cache-file | --cache-file | --cache-fil | --cache-fi \
86 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
87 ac_prev=cache_file ;;
88 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
89 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
90 cache_file="$ac_optarg" ;;
91
92 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
93 ac_prev=datadir ;;
94 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
95 | --da=*)
96 datadir="$ac_optarg" ;;
97
98 -disable-* | --disable-*)
99 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
100 # Reject names that are not valid shell variable names.
101 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
102 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
103 fi
104 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
105 eval "enable_${ac_feature}=no" ;;
106
107 -enable-* | --enable-*)
108 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
109 # Reject names that are not valid shell variable names.
110 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
111 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
112 fi
113 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
114 case "$ac_option" in
115 *=*) ;;
116 *) ac_optarg=yes ;;
117 esac
118 eval "enable_${ac_feature}='$ac_optarg'" ;;
119
120 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
121 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
122 | --exec | --exe | --ex)
123 ac_prev=exec_prefix ;;
124 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
125 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
126 | --exec=* | --exe=* | --ex=*)
127 exec_prefix="$ac_optarg" ;;
128
129 -gas | --gas | --ga | --g)
130 # Obsolete; use --with-gas.
131 with_gas=yes ;;
132
133 -help | --help | --hel | --he)
134 # Omit some internal or obsolete options to make the list less imposing.
135 # This message is too long to be a string in the A/UX 3.1 sh.
136 cat << EOF
137 Usage: configure [options] [host]
138 Options: [defaults in brackets after descriptions]
139 Configuration:
140 --cache-file=FILE cache test results in FILE
141 --help print this message
142 --no-create do not create output files
143 --quiet, --silent do not print \`checking...' messages
144 --version print the version of autoconf that created configure
145 Directory and file names:
146 --prefix=PREFIX install architecture-independent files in PREFIX
147 [$ac_default_prefix]
148 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
149 [same as prefix]
150 --bindir=DIR user executables in DIR [EPREFIX/bin]
151 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
152 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
153 --datadir=DIR read-only architecture-independent data in DIR
154 [PREFIX/share]
155 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
156 --sharedstatedir=DIR modifiable architecture-independent data in DIR
157 [PREFIX/com]
158 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
159 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
160 --includedir=DIR C header files in DIR [PREFIX/include]
161 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
162 --infodir=DIR info documentation in DIR [PREFIX/info]
163 --mandir=DIR man documentation in DIR [PREFIX/man]
164 --srcdir=DIR find the sources in DIR [configure dir or ..]
165 --program-prefix=PREFIX prepend PREFIX to installed program names
166 --program-suffix=SUFFIX append SUFFIX to installed program names
167 --program-transform-name=PROGRAM
168 run sed PROGRAM on installed program names
169 EOF
170 cat << EOF
171 Host type:
172 --build=BUILD configure for building on BUILD [BUILD=HOST]
173 --host=HOST configure for HOST [guessed]
174 --target=TARGET configure for TARGET [TARGET=HOST]
175 Features and packages:
176 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
177 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
178 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
179 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
180 --x-includes=DIR X include files are in DIR
181 --x-libraries=DIR X library files are in DIR
182 EOF
183 if test -n "$ac_help"; then
184 echo "--enable and --with options recognized:$ac_help"
185 fi
186 exit 0 ;;
187
188 -host | --host | --hos | --ho)
189 ac_prev=host ;;
190 -host=* | --host=* | --hos=* | --ho=*)
191 host="$ac_optarg" ;;
192
193 -includedir | --includedir | --includedi | --included | --include \
194 | --includ | --inclu | --incl | --inc)
195 ac_prev=includedir ;;
196 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
197 | --includ=* | --inclu=* | --incl=* | --inc=*)
198 includedir="$ac_optarg" ;;
199
200 -infodir | --infodir | --infodi | --infod | --info | --inf)
201 ac_prev=infodir ;;
202 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
203 infodir="$ac_optarg" ;;
204
205 -libdir | --libdir | --libdi | --libd)
206 ac_prev=libdir ;;
207 -libdir=* | --libdir=* | --libdi=* | --libd=*)
208 libdir="$ac_optarg" ;;
209
210 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
211 | --libexe | --libex | --libe)
212 ac_prev=libexecdir ;;
213 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
214 | --libexe=* | --libex=* | --libe=*)
215 libexecdir="$ac_optarg" ;;
216
217 -localstatedir | --localstatedir | --localstatedi | --localstated \
218 | --localstate | --localstat | --localsta | --localst \
219 | --locals | --local | --loca | --loc | --lo)
220 ac_prev=localstatedir ;;
221 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
222 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
223 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
224 localstatedir="$ac_optarg" ;;
225
226 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
227 ac_prev=mandir ;;
228 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
229 mandir="$ac_optarg" ;;
230
231 -nfp | --nfp | --nf)
232 # Obsolete; use --without-fp.
233 with_fp=no ;;
234
235 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
236 | --no-cr | --no-c)
237 no_create=yes ;;
238
239 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
240 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
241 no_recursion=yes ;;
242
243 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
244 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
245 | --oldin | --oldi | --old | --ol | --o)
246 ac_prev=oldincludedir ;;
247 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
248 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
249 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
250 oldincludedir="$ac_optarg" ;;
251
252 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
253 ac_prev=prefix ;;
254 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
255 prefix="$ac_optarg" ;;
256
257 -program-prefix | --program-prefix | --program-prefi | --program-pref \
258 | --program-pre | --program-pr | --program-p)
259 ac_prev=program_prefix ;;
260 -program-prefix=* | --program-prefix=* | --program-prefi=* \
261 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
262 program_prefix="$ac_optarg" ;;
263
264 -program-suffix | --program-suffix | --program-suffi | --program-suff \
265 | --program-suf | --program-su | --program-s)
266 ac_prev=program_suffix ;;
267 -program-suffix=* | --program-suffix=* | --program-suffi=* \
268 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
269 program_suffix="$ac_optarg" ;;
270
271 -program-transform-name | --program-transform-name \
272 | --program-transform-nam | --program-transform-na \
273 | --program-transform-n | --program-transform- \
274 | --program-transform | --program-transfor \
275 | --program-transfo | --program-transf \
276 | --program-trans | --program-tran \
277 | --progr-tra | --program-tr | --program-t)
278 ac_prev=program_transform_name ;;
279 -program-transform-name=* | --program-transform-name=* \
280 | --program-transform-nam=* | --program-transform-na=* \
281 | --program-transform-n=* | --program-transform-=* \
282 | --program-transform=* | --program-transfor=* \
283 | --program-transfo=* | --program-transf=* \
284 | --program-trans=* | --program-tran=* \
285 | --progr-tra=* | --program-tr=* | --program-t=*)
286 program_transform_name="$ac_optarg" ;;
287
288 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
289 | -silent | --silent | --silen | --sile | --sil)
290 silent=yes ;;
291
292 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
293 ac_prev=sbindir ;;
294 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
295 | --sbi=* | --sb=*)
296 sbindir="$ac_optarg" ;;
297
298 -sharedstatedir | --sharedstatedir | --sharedstatedi \
299 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
300 | --sharedst | --shareds | --shared | --share | --shar \
301 | --sha | --sh)
302 ac_prev=sharedstatedir ;;
303 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
304 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
305 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
306 | --sha=* | --sh=*)
307 sharedstatedir="$ac_optarg" ;;
308
309 -site | --site | --sit)
310 ac_prev=site ;;
311 -site=* | --site=* | --sit=*)
312 site="$ac_optarg" ;;
313
314 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
315 ac_prev=srcdir ;;
316 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
317 srcdir="$ac_optarg" ;;
318
319 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
320 | --syscon | --sysco | --sysc | --sys | --sy)
321 ac_prev=sysconfdir ;;
322 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
323 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
324 sysconfdir="$ac_optarg" ;;
325
326 -target | --target | --targe | --targ | --tar | --ta | --t)
327 ac_prev=target ;;
328 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
329 target="$ac_optarg" ;;
330
331 -v | -verbose | --verbose | --verbos | --verbo | --verb)
332 verbose=yes ;;
333
334 -version | --version | --versio | --versi | --vers)
335 echo "configure generated by autoconf version 2.13"
336 exit 0 ;;
337
338 -with-* | --with-*)
339 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
340 # Reject names that are not valid shell variable names.
341 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
342 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
343 fi
344 ac_package=`echo $ac_package| sed 's/-/_/g'`
345 case "$ac_option" in
346 *=*) ;;
347 *) ac_optarg=yes ;;
348 esac
349 eval "with_${ac_package}='$ac_optarg'" ;;
350
351 -without-* | --without-*)
352 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
353 # Reject names that are not valid shell variable names.
354 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
355 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
356 fi
357 ac_package=`echo $ac_package| sed 's/-/_/g'`
358 eval "with_${ac_package}=no" ;;
359
360 --x)
361 # Obsolete; use --with-x.
362 with_x=yes ;;
363
364 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
365 | --x-incl | --x-inc | --x-in | --x-i)
366 ac_prev=x_includes ;;
367 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
368 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
369 x_includes="$ac_optarg" ;;
370
371 -x-libraries | --x-libraries | --x-librarie | --x-librari \
372 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
373 ac_prev=x_libraries ;;
374 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
375 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
376 x_libraries="$ac_optarg" ;;
377
378 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
379 ;;
380
381 *)
382 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
383 echo "configure: warning: $ac_option: invalid host type" 1>&2
384 fi
385 if test "x$nonopt" != xNONE; then
386 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
387 fi
388 nonopt="$ac_option"
389 ;;
390
391 esac
392 done
393
394 if test -n "$ac_prev"; then
395 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
396 fi
397
398 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
399
400 # File descriptor usage:
401 # 0 standard input
402 # 1 file creation
403 # 2 errors and warnings
404 # 3 some systems may open it to /dev/tty
405 # 4 used on the Kubota Titan
406 # 6 checking for... messages and results
407 # 5 compiler messages saved in config.log
408 if test "$silent" = yes; then
409 exec 6>/dev/null
410 else
411 exec 6>&1
412 fi
413 exec 5>./config.log
414
415 echo "\
416 This file contains any messages produced by compilers while
417 running configure, to aid debugging if configure makes a mistake.
418 " 1>&5
419
420 # Strip out --no-create and --no-recursion so they do not pile up.
421 # Also quote any args containing shell metacharacters.
422 ac_configure_args=
423 for ac_arg
424 do
425 case "$ac_arg" in
426 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
427 | --no-cr | --no-c) ;;
428 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
429 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
430 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
431 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
432 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
433 esac
434 done
435
436 # NLS nuisances.
437 # Only set these to C if already set. These must not be set unconditionally
438 # because not all systems understand e.g. LANG=C (notably SCO).
439 # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
440 # Non-C LC_CTYPE values break the ctype check.
441 if test "${LANG+set}" = set; then LANG=C; export LANG; fi
442 if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
443 if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
444 if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
445
446 # confdefs.h avoids OS command line length limits that DEFS can exceed.
447 rm -rf conftest* confdefs.h
448 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
449 echo > confdefs.h
450
451 # A filename unique to this package, relative to the directory that
452 # configure is in, which we can look for to find out if srcdir is correct.
453 ac_unique_file=aClient.cpp
454
455 # Find the source files, if location was not specified.
456 if test -z "$srcdir"; then
457 ac_srcdir_defaulted=yes
458 # Try the directory containing this script, then its parent.
459 ac_prog=$0
460 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
461 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
462 srcdir=$ac_confdir
463 if test ! -r $srcdir/$ac_unique_file; then
464 srcdir=..
465 fi
466 else
467 ac_srcdir_defaulted=no
468 fi
469 if test ! -r $srcdir/$ac_unique_file; then
470 if test "$ac_srcdir_defaulted" = yes; then
471 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
472 else
473 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
474 fi
475 fi
476 srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
477
478 # Prefer explicitly selected file to automatically selected ones.
479 if test -z "$CONFIG_SITE"; then
480 if test "x$prefix" != xNONE; then
481 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
482 else
483 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
484 fi
485 fi
486 for ac_site_file in $CONFIG_SITE; do
487 if test -r "$ac_site_file"; then
488 echo "loading site script $ac_site_file"
489 . "$ac_site_file"
490 fi
491 done
492
493 if test -r "$cache_file"; then
494 echo "loading cache $cache_file"
495 . $cache_file
496 else
497 echo "creating cache $cache_file"
498 > $cache_file
499 fi
500
501 ac_ext=c
502 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
503 ac_cpp='$CPP $CPPFLAGS'
504 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
505 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
506 cross_compiling=$ac_cv_prog_cc_cross
507
508 ac_exeext=
509 ac_objext=o
510 if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
511 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
512 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
513 ac_n= ac_c='
514 ' ac_t=' '
515 else
516 ac_n=-n ac_c= ac_t=
517 fi
518 else
519 ac_n= ac_c='\c' ac_t=
520 fi
521
522
523
524
525
526 for ac_prog in $CCC c++ g++ gcc CC cxx cc++ cl
527 do
528 # Extract the first word of "$ac_prog", so it can be a program name with args.
529 set dummy $ac_prog; ac_word=$2
530 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
531 echo "configure:533: checking for $ac_word" >&5
532 if eval "test \"`echo '$''{'ac_cv_prog_CXX'+set}'`\" = set"; then
533 echo $ac_n "(cached) $ac_c" 1>&6
534 else
535 if test -n "$CXX"; then
536 ac_cv_prog_CXX="$CXX" # Let the user override the test.
537 else
538 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
539 ac_dummy="$PATH"
540 for ac_dir in $ac_dummy; do
541 test -z "$ac_dir" && ac_dir=.
542 if test -f $ac_dir/$ac_word; then
543 ac_cv_prog_CXX="$ac_prog"
544 break
545 fi
546 done
547 IFS="$ac_save_ifs"
548 fi
549 fi
550 CXX="$ac_cv_prog_CXX"
551 if test -n "$CXX"; then
552 echo "$ac_t""$CXX" 1>&6
553 else
554 echo "$ac_t""no" 1>&6
555 fi
556
557 test -n "$CXX" && break
558 done
559 test -n "$CXX" || CXX="gcc"
560
561
562 echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works""... $ac_c" 1>&6
563 echo "configure:565: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works" >&5
564
565 ac_ext=C
566 # CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
567 ac_cpp='$CXXCPP $CPPFLAGS'
568 ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
569 ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
570 cross_compiling=$ac_cv_prog_cxx_cross
571
572 cat > conftest.$ac_ext << EOF
573
574 #line 576 "configure"
575 #include "confdefs.h"
576
577 int main(){return(0);}
578 EOF
579 if { (eval echo configure:581: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
580 ac_cv_prog_cxx_works=yes
581 # If we can't run a trivial program, we are probably using a cross compiler.
582 if (./conftest; exit) 2>/dev/null; then
583 ac_cv_prog_cxx_cross=no
584 else
585 ac_cv_prog_cxx_cross=yes
586 fi
587 else
588 echo "configure: failed program was:" >&5
589 cat conftest.$ac_ext >&5
590 ac_cv_prog_cxx_works=no
591 fi
592 rm -fr conftest*
593 ac_ext=c
594 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
595 ac_cpp='$CPP $CPPFLAGS'
596 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
597 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
598 cross_compiling=$ac_cv_prog_cc_cross
599
600 echo "$ac_t""$ac_cv_prog_cxx_works" 1>&6
601 if test $ac_cv_prog_cxx_works = no; then
602 { echo "configure: error: installation or configuration problem: C++ compiler cannot create executables." 1>&2; exit 1; }
603 fi
604 echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
605 echo "configure:607: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler" >&5
606 echo "$ac_t""$ac_cv_prog_cxx_cross" 1>&6
607 cross_compiling=$ac_cv_prog_cxx_cross
608
609 echo $ac_n "checking whether we are using GNU C++""... $ac_c" 1>&6
610 echo "configure:612: checking whether we are using GNU C++" >&5
611 if eval "test \"`echo '$''{'ac_cv_prog_gxx'+set}'`\" = set"; then
612 echo $ac_n "(cached) $ac_c" 1>&6
613 else
614 cat > conftest.C <<EOF
615 #ifdef __GNUC__
616 yes;
617 #endif
618 EOF
619 if { ac_try='${CXX-g++} -E conftest.C'; { (eval echo configure:621: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
620 ac_cv_prog_gxx=yes
621 else
622 ac_cv_prog_gxx=no
623 fi
624 fi
625
626 echo "$ac_t""$ac_cv_prog_gxx" 1>&6
627
628 if test $ac_cv_prog_gxx = yes; then
629 GXX=yes
630 else
631 GXX=
632 fi
633
634 ac_test_CXXFLAGS="${CXXFLAGS+set}"
635 ac_save_CXXFLAGS="$CXXFLAGS"
636 CXXFLAGS=
637 echo $ac_n "checking whether ${CXX-g++} accepts -g""... $ac_c" 1>&6
638 echo "configure:640: checking whether ${CXX-g++} accepts -g" >&5
639 if eval "test \"`echo '$''{'ac_cv_prog_cxx_g'+set}'`\" = set"; then
640 echo $ac_n "(cached) $ac_c" 1>&6
641 else
642 echo 'void f(){}' > conftest.cc
643 if test -z "`${CXX-g++} -g -c conftest.cc 2>&1`"; then
644 ac_cv_prog_cxx_g=yes
645 else
646 ac_cv_prog_cxx_g=no
647 fi
648 rm -f conftest*
649
650 fi
651
652 echo "$ac_t""$ac_cv_prog_cxx_g" 1>&6
653 if test "$ac_test_CXXFLAGS" = set; then
654 CXXFLAGS="$ac_save_CXXFLAGS"
655 elif test $ac_cv_prog_cxx_g = yes; then
656 if test "$GXX" = yes; then
657 CXXFLAGS="-g -O2"
658 else
659 CXXFLAGS="-g"
660 fi
661 else
662 if test "$GXX" = yes; then
663 CXXFLAGS="-O2"
664 else
665 CXXFLAGS=
666 fi
667 fi
668
669 echo $ac_n "checking how to run the C++ preprocessor""... $ac_c" 1>&6
670 echo "configure:672: checking how to run the C++ preprocessor" >&5
671 if test -z "$CXXCPP"; then
672 if eval "test \"`echo '$''{'ac_cv_prog_CXXCPP'+set}'`\" = set"; then
673 echo $ac_n "(cached) $ac_c" 1>&6
674 else
675 ac_ext=C
676 # CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
677 ac_cpp='$CXXCPP $CPPFLAGS'
678 ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
679 ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
680 cross_compiling=$ac_cv_prog_cxx_cross
681 CXXCPP="${CXX-g++} -E"
682 cat > conftest.$ac_ext <<EOF
683 #line 685 "configure"
684 #include "confdefs.h"
685 #include <stdlib.h>
686 EOF
687 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
688 { (eval echo configure:690: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
689 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
690 if test -z "$ac_err"; then
691 :
692 else
693 echo "$ac_err" >&5
694 echo "configure: failed program was:" >&5
695 cat conftest.$ac_ext >&5
696 rm -rf conftest*
697 CXXCPP=/lib/cpp
698 fi
699 rm -f conftest*
700 ac_cv_prog_CXXCPP="$CXXCPP"
701 ac_ext=c
702 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
703 ac_cpp='$CPP $CPPFLAGS'
704 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
705 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
706 cross_compiling=$ac_cv_prog_cc_cross
707 fi
708 fi
709 CXXCPP="$ac_cv_prog_CXXCPP"
710 echo "$ac_t""$CXXCPP" 1>&6
711
712 # Extract the first word of "gcc", so it can be a program name with args.
713 set dummy gcc; ac_word=$2
714 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
715 echo "configure:717: checking for $ac_word" >&5
716 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
717 echo $ac_n "(cached) $ac_c" 1>&6
718 else
719 if test -n "$CC"; then
720 ac_cv_prog_CC="$CC" # Let the user override the test.
721 else
722 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
723 ac_dummy="$PATH"
724 for ac_dir in $ac_dummy; do
725 test -z "$ac_dir" && ac_dir=.
726 if test -f $ac_dir/$ac_word; then
727 ac_cv_prog_CC="gcc"
728 break
729 fi
730 done
731 IFS="$ac_save_ifs"
732 fi
733 fi
734 CC="$ac_cv_prog_CC"
735 if test -n "$CC"; then
736 echo "$ac_t""$CC" 1>&6
737 else
738 echo "$ac_t""no" 1>&6
739 fi
740
741 if test -z "$CC"; then
742 # Extract the first word of "cc", so it can be a program name with args.
743 set dummy cc; ac_word=$2
744 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
745 echo "configure:747: checking for $ac_word" >&5
746 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
747 echo $ac_n "(cached) $ac_c" 1>&6
748 else
749 if test -n "$CC"; then
750 ac_cv_prog_CC="$CC" # Let the user override the test.
751 else
752 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
753 ac_prog_rejected=no
754 ac_dummy="$PATH"
755 for ac_dir in $ac_dummy; do
756 test -z "$ac_dir" && ac_dir=.
757 if test -f $ac_dir/$ac_word; then
758 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
759 ac_prog_rejected=yes
760 continue
761 fi
762 ac_cv_prog_CC="cc"
763 break
764 fi
765 done
766 IFS="$ac_save_ifs"
767 if test $ac_prog_rejected = yes; then
768 # We found a bogon in the path, so make sure we never use it.
769 set dummy $ac_cv_prog_CC
770 shift
771 if test $# -gt 0; then
772 # We chose a different compiler from the bogus one.
773 # However, it has the same basename, so the bogon will be chosen
774 # first if we set CC to just the basename; use the full file name.
775 shift
776 set dummy "$ac_dir/$ac_word" "$@"
777 shift
778 ac_cv_prog_CC="$@"
779 fi
780 fi
781 fi
782 fi
783 CC="$ac_cv_prog_CC"
784 if test -n "$CC"; then
785 echo "$ac_t""$CC" 1>&6
786 else
787 echo "$ac_t""no" 1>&6
788 fi
789
790 if test -z "$CC"; then
791 case "`uname -s`" in
792 *win32* | *WIN32*)
793 # Extract the first word of "cl", so it can be a program name with args.
794 set dummy cl; ac_word=$2
795 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
796 echo "configure:798: checking for $ac_word" >&5
797 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
798 echo $ac_n "(cached) $ac_c" 1>&6
799 else
800 if test -n "$CC"; then
801 ac_cv_prog_CC="$CC" # Let the user override the test.
802 else
803 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
804 ac_dummy="$PATH"
805 for ac_dir in $ac_dummy; do
806 test -z "$ac_dir" && ac_dir=.
807 if test -f $ac_dir/$ac_word; then
808 ac_cv_prog_CC="cl"
809 break
810 fi
811 done
812 IFS="$ac_save_ifs"
813 fi
814 fi
815 CC="$ac_cv_prog_CC"
816 if test -n "$CC"; then
817 echo "$ac_t""$CC" 1>&6
818 else
819 echo "$ac_t""no" 1>&6
820 fi
821 ;;
822 esac
823 fi
824 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
825 fi
826
827 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
828 echo "configure:830: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
829
830 ac_ext=c
831 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
832 ac_cpp='$CPP $CPPFLAGS'
833 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
834 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
835 cross_compiling=$ac_cv_prog_cc_cross
836
837 cat > conftest.$ac_ext << EOF
838
839 #line 841 "configure"
840 #include "confdefs.h"
841
842 main(){return(0);}
843 EOF
844 if { (eval echo configure:846: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
845 ac_cv_prog_cc_works=yes
846 # If we can't run a trivial program, we are probably using a cross compiler.
847 if (./conftest; exit) 2>/dev/null; then
848 ac_cv_prog_cc_cross=no
849 else
850 ac_cv_prog_cc_cross=yes
851 fi
852 else
853 echo "configure: failed program was:" >&5
854 cat conftest.$ac_ext >&5
855 ac_cv_prog_cc_works=no
856 fi
857 rm -fr conftest*
858 ac_ext=c
859 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
860 ac_cpp='$CPP $CPPFLAGS'
861 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
862 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
863 cross_compiling=$ac_cv_prog_cc_cross
864
865 echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
866 if test $ac_cv_prog_cc_works = no; then
867 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
868 fi
869 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
870 echo "configure:872: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
871 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
872 cross_compiling=$ac_cv_prog_cc_cross
873
874 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
875 echo "configure:877: checking whether we are using GNU C" >&5
876 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
877 echo $ac_n "(cached) $ac_c" 1>&6
878 else
879 cat > conftest.c <<EOF
880 #ifdef __GNUC__
881 yes;
882 #endif
883 EOF
884 if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:886: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
885 ac_cv_prog_gcc=yes
886 else
887 ac_cv_prog_gcc=no
888 fi
889 fi
890
891 echo "$ac_t""$ac_cv_prog_gcc" 1>&6
892
893 if test $ac_cv_prog_gcc = yes; then
894 GCC=yes
895 else
896 GCC=
897 fi
898
899 ac_test_CFLAGS="${CFLAGS+set}"
900 ac_save_CFLAGS="$CFLAGS"
901 CFLAGS=
902 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
903 echo "configure:905: checking whether ${CC-cc} accepts -g" >&5
904 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
905 echo $ac_n "(cached) $ac_c" 1>&6
906 else
907 echo 'void f(){}' > conftest.c
908 if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
909 ac_cv_prog_cc_g=yes
910 else
911 ac_cv_prog_cc_g=no
912 fi
913 rm -f conftest*
914
915 fi
916
917 echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
918 if test "$ac_test_CFLAGS" = set; then
919 CFLAGS="$ac_save_CFLAGS"
920 elif test $ac_cv_prog_cc_g = yes; then
921 if test "$GCC" = yes; then
922 CFLAGS="-g -O2"
923 else
924 CFLAGS="-g"
925 fi
926 else
927 if test "$GCC" = yes; then
928 CFLAGS="-O2"
929 else
930 CFLAGS=
931 fi
932 fi
933
934
935 echo $ac_n "checking for crypt in -lcrypt""... $ac_c" 1>&6
936 echo "configure:938: checking for crypt in -lcrypt" >&5
937 ac_lib_var=`echo crypt'_'crypt | sed 'y%./+-%__p_%'`
938 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
939 echo $ac_n "(cached) $ac_c" 1>&6
940 else
941 ac_save_LIBS="$LIBS"
942 LIBS="-lcrypt $LIBS"
943 cat > conftest.$ac_ext <<EOF
944 #line 946 "configure"
945 #include "confdefs.h"
946 /* Override any gcc2 internal prototype to avoid an error. */
947 /* We use char because int might match the return type of a gcc2
948 builtin and then its argument prototype would still apply. */
949 char crypt();
950
951 int main() {
952 crypt()
953 ; return 0; }
954 EOF
955 if { (eval echo configure:957: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
956 rm -rf conftest*
957 eval "ac_cv_lib_$ac_lib_var=yes"
958 else
959 echo "configure: failed program was:" >&5
960 cat conftest.$ac_ext >&5
961 rm -rf conftest*
962 eval "ac_cv_lib_$ac_lib_var=no"
963 fi
964 rm -f conftest*
965 LIBS="$ac_save_LIBS"
966
967 fi
968 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
969 echo "$ac_t""yes" 1>&6
970 ac_tr_lib=HAVE_LIB`echo crypt | sed -e 's/[^a-zA-Z0-9_]/_/g' \
971 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
972 cat >> confdefs.h <<EOF
973 #define $ac_tr_lib 1
974 EOF
975
976 LIBS="-lcrypt $LIBS"
977
978 else
979 echo "$ac_t""no" 1>&6
980 fi
981
982
983 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
984 echo "configure:986: checking how to run the C preprocessor" >&5
985 # On Suns, sometimes $CPP names a directory.
986 if test -n "$CPP" && test -d "$CPP"; then
987 CPP=
988 fi
989 if test -z "$CPP"; then
990 if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
991 echo $ac_n "(cached) $ac_c" 1>&6
992 else
993 # This must be in double quotes, not single quotes, because CPP may get
994 # substituted into the Makefile and "${CC-cc}" will confuse make.
995 CPP="${CC-cc} -E"
996 # On the NeXT, cc -E runs the code through the compiler's parser,
997 # not just through cpp.
998 cat > conftest.$ac_ext <<EOF
999 #line 1001 "configure"
1000 #include "confdefs.h"
1001 #include <assert.h>
1002 Syntax Error
1003 EOF
1004 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1005 { (eval echo configure:1007: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1006 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1007 if test -z "$ac_err"; then
1008 :
1009 else
1010 echo "$ac_err" >&5
1011 echo "configure: failed program was:" >&5
1012 cat conftest.$ac_ext >&5
1013 rm -rf conftest*
1014 CPP="${CC-cc} -E -traditional-cpp"
1015 cat > conftest.$ac_ext <<EOF
1016 #line 1018 "configure"
1017 #include "confdefs.h"
1018 #include <assert.h>
1019 Syntax Error
1020 EOF
1021 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1022 { (eval echo configure:1024: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1023 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1024 if test -z "$ac_err"; then
1025 :
1026 else
1027 echo "$ac_err" >&5
1028 echo "configure: failed program was:" >&5
1029 cat conftest.$ac_ext >&5
1030 rm -rf conftest*
1031 CPP="${CC-cc} -nologo -E"
1032 cat > conftest.$ac_ext <<EOF
1033 #line 1035 "configure"
1034 #include "confdefs.h"
1035 #include <assert.h>
1036 Syntax Error
1037 EOF
1038 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1039 { (eval echo configure:1041: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1040 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1041 if test -z "$ac_err"; then
1042 :
1043 else
1044 echo "$ac_err" >&5
1045 echo "configure: failed program was:" >&5
1046 cat conftest.$ac_ext >&5
1047 rm -rf conftest*
1048 CPP=/lib/cpp
1049 fi
1050 rm -f conftest*
1051 fi
1052 rm -f conftest*
1053 fi
1054 rm -f conftest*
1055 ac_cv_prog_CPP="$CPP"
1056 fi
1057 CPP="$ac_cv_prog_CPP"
1058 else
1059 ac_cv_prog_CPP="$CPP"
1060 fi
1061 echo "$ac_t""$CPP" 1>&6
1062
1063 echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
1064 echo "configure:1066: checking for ANSI C header files" >&5
1065 if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
1066 echo $ac_n "(cached) $ac_c" 1>&6
1067 else
1068 cat > conftest.$ac_ext <<EOF
1069 #line 1071 "configure"
1070 #include "confdefs.h"
1071 #include <stdlib.h>
1072 #include <stdarg.h>
1073 #include <string.h>
1074 #include <float.h>
1075 EOF
1076 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1077 { (eval echo configure:1079: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1078 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1079 if test -z "$ac_err"; then
1080 rm -rf conftest*
1081 ac_cv_header_stdc=yes
1082 else
1083 echo "$ac_err" >&5
1084 echo "configure: failed program was:" >&5
1085 cat conftest.$ac_ext >&5
1086 rm -rf conftest*
1087 ac_cv_header_stdc=no
1088 fi
1089 rm -f conftest*
1090
1091 if test $ac_cv_header_stdc = yes; then
1092 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
1093 cat > conftest.$ac_ext <<EOF
1094 #line 1096 "configure"
1095 #include "confdefs.h"
1096 #include <string.h>
1097 EOF
1098 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1099 egrep "memchr" >/dev/null 2>&1; then
1100 :
1101 else
1102 rm -rf conftest*
1103 ac_cv_header_stdc=no
1104 fi
1105 rm -f conftest*
1106
1107 fi
1108
1109 if test $ac_cv_header_stdc = yes; then
1110 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
1111 cat > conftest.$ac_ext <<EOF
1112 #line 1114 "configure"
1113 #include "confdefs.h"
1114 #include <stdlib.h>
1115 EOF
1116 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1117 egrep "free" >/dev/null 2>&1; then
1118 :
1119 else
1120 rm -rf conftest*
1121 ac_cv_header_stdc=no
1122 fi
1123 rm -f conftest*
1124
1125 fi
1126
1127 if test $ac_cv_header_stdc = yes; then
1128 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
1129 if test "$cross_compiling" = yes; then
1130 :
1131 else
1132 cat > conftest.$ac_ext <<EOF
1133 #line 1135 "configure"
1134 #include "confdefs.h"
1135 #include <ctype.h>
1136 #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
1137 #define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
1138 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
1139 int main () { int i; for (i = 0; i < 256; i++)
1140 if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
1141 exit (0); }
1142
1143 EOF
1144 if { (eval echo configure:1146: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1145 then
1146 :
1147 else
1148 echo "configure: failed program was:" >&5
1149 cat conftest.$ac_ext >&5
1150 rm -fr conftest*
1151 ac_cv_header_stdc=no
1152 fi
1153 rm -fr conftest*
1154 fi
1155
1156 fi
1157 fi
1158
1159 echo "$ac_t""$ac_cv_header_stdc" 1>&6
1160 if test $ac_cv_header_stdc = yes; then
1161 cat >> confdefs.h <<\EOF
1162 #define STDC_HEADERS 1
1163 EOF
1164
1165 fi
1166
1167 echo $ac_n "checking whether time.h and sys/time.h may both be included""... $ac_c" 1>&6
1168 echo "configure:1170: checking whether time.h and sys/time.h may both be included" >&5
1169 if eval "test \"`echo '$''{'ac_cv_header_time'+set}'`\" = set"; then
1170 echo $ac_n "(cached) $ac_c" 1>&6
1171 else
1172 cat > conftest.$ac_ext <<EOF
1173 #line 1175 "configure"
1174 #include "confdefs.h"
1175 #include <sys/types.h>
1176 #include <sys/time.h>
1177 #include <time.h>
1178 int main() {
1179 struct tm *tp;
1180 ; return 0; }
1181 EOF
1182 if { (eval echo configure:1184: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1183 rm -rf conftest*
1184 ac_cv_header_time=yes
1185 else
1186 echo "configure: failed program was:" >&5
1187 cat conftest.$ac_ext >&5
1188 rm -rf conftest*
1189 ac_cv_header_time=no
1190 fi
1191 rm -f conftest*
1192 fi
1193
1194 echo "$ac_t""$ac_cv_header_time" 1>&6
1195 if test $ac_cv_header_time = yes; then
1196 cat >> confdefs.h <<\EOF
1197 #define TIME_WITH_SYS_TIME 1
1198 EOF
1199
1200 fi
1201
1202 for ac_hdr in limits.h unistd.h crypt.h
1203 do
1204 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1205 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1206 echo "configure:1208: checking for $ac_hdr" >&5
1207 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1208 echo $ac_n "(cached) $ac_c" 1>&6
1209 else
1210 cat > conftest.$ac_ext <<EOF
1211 #line 1213 "configure"
1212 #include "confdefs.h"
1213 #include <$ac_hdr>
1214 EOF
1215 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1216 { (eval echo configure:1218: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1217 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1218 if test -z "$ac_err"; then
1219 rm -rf conftest*
1220 eval "ac_cv_header_$ac_safe=yes"
1221 else
1222 echo "$ac_err" >&5
1223 echo "configure: failed program was:" >&5
1224 cat conftest.$ac_ext >&5
1225 rm -rf conftest*
1226 eval "ac_cv_header_$ac_safe=no"
1227 fi
1228 rm -f conftest*
1229 fi
1230 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1231 echo "$ac_t""yes" 1>&6
1232 ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1233 cat >> confdefs.h <<EOF
1234 #define $ac_tr_hdr 1
1235 EOF
1236
1237 else
1238 echo "$ac_t""no" 1>&6
1239 fi
1240 done
1241
1242
1243 echo $ac_n "checking for working const""... $ac_c" 1>&6
1244 echo "configure:1246: checking for working const" >&5
1245 if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
1246 echo $ac_n "(cached) $ac_c" 1>&6
1247 else
1248 cat > conftest.$ac_ext <<EOF
1249 #line 1251 "configure"
1250 #include "confdefs.h"
1251
1252 int main() {
1253
1254 /* Ultrix mips cc rejects this. */
1255 typedef int charset[2]; const charset x;
1256 /* SunOS 4.1.1 cc rejects this. */
1257 char const *const *ccp;
1258 char **p;
1259 /* NEC SVR4.0.2 mips cc rejects this. */
1260 struct point {int x, y;};
1261 static struct point const zero = {0,0};
1262 /* AIX XL C 1.02.0.0 rejects this.
1263 It does not let you subtract one const X* pointer from another in an arm
1264 of an if-expression whose if-part is not a constant expression */
1265 const char *g = "string";
1266 ccp = &g + (g ? g-g : 0);
1267 /* HPUX 7.0 cc rejects these. */
1268 ++ccp;
1269 p = (char**) ccp;
1270 ccp = (char const *const *) p;
1271 { /* SCO 3.2v4 cc rejects this. */
1272 char *t;
1273 char const *s = 0 ? (char *) 0 : (char const *) 0;
1274
1275 *t++ = 0;
1276 }
1277 { /* Someone thinks the Sun supposedly-ANSI compiler will reject this. */
1278 int x[] = {25, 17};
1279 const int *foo = &x[0];
1280 ++foo;
1281 }
1282 { /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
1283 typedef const int *iptr;
1284 iptr p = 0;
1285 ++p;
1286 }
1287 { /* AIX XL C 1.02.0.0 rejects this saying
1288 "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
1289 struct s { int j; const int *ap[3]; };
1290 struct s *b; b->j = 5;
1291 }
1292 { /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
1293 const int foo = 10;
1294 }
1295
1296 ; return 0; }
1297 EOF
1298 if { (eval echo configure:1300: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1299 rm -rf conftest*
1300 ac_cv_c_const=yes
1301 else
1302 echo "configure: failed program was:" >&5
1303 cat conftest.$ac_ext >&5
1304 rm -rf conftest*
1305 ac_cv_c_const=no
1306 fi
1307 rm -f conftest*
1308 fi
1309
1310 echo "$ac_t""$ac_cv_c_const" 1>&6
1311 if test $ac_cv_c_const = no; then
1312 cat >> confdefs.h <<\EOF
1313 #define const
1314 EOF
1315
1316 fi
1317
1318 echo $ac_n "checking for size_t""... $ac_c" 1>&6
1319 echo "configure:1321: checking for size_t" >&5
1320 if eval "test \"`echo '$''{'ac_cv_type_size_t'+set}'`\" = set"; then
1321 echo $ac_n "(cached) $ac_c" 1>&6
1322 else
1323 cat > conftest.$ac_ext <<EOF
1324 #line 1326 "configure"
1325 #include "confdefs.h"
1326 #include <sys/types.h>
1327 #if STDC_HEADERS
1328 #include <stdlib.h>
1329 #include <stddef.h>
1330 #endif
1331 EOF
1332 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1333 egrep "(^|[^a-zA-Z_0-9])size_t[^a-zA-Z_0-9]" >/dev/null 2>&1; then
1334 rm -rf conftest*
1335 ac_cv_type_size_t=yes
1336 else
1337 rm -rf conftest*
1338 ac_cv_type_size_t=no
1339 fi
1340 rm -f conftest*
1341
1342 fi
1343 echo "$ac_t""$ac_cv_type_size_t" 1>&6
1344 if test $ac_cv_type_size_t = no; then
1345 cat >> confdefs.h <<\EOF
1346 #define size_t unsigned
1347 EOF
1348
1349 fi
1350
1351
1352 for ac_func in socket strcspn strspn strtol strtok
1353 do
1354 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
1355 echo "configure:1357: checking for $ac_func" >&5
1356 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
1357 echo $ac_n "(cached) $ac_c" 1>&6
1358 else
1359 cat > conftest.$ac_ext <<EOF
1360 #line 1362 "configure"
1361 #include "confdefs.h"
1362 /* System header to define __stub macros and hopefully few prototypes,
1363 which can conflict with char $ac_func(); below. */
1364 #include <assert.h>
1365 /* Override any gcc2 internal prototype to avoid an error. */
1366 /* We use char because int might match the return type of a gcc2
1367 builtin and then its argument prototype would still apply. */
1368 char $ac_func();
1369
1370 int main() {
1371
1372 /* The GNU C library defines this for functions which it implements
1373 to always fail with ENOSYS. Some functions are actually named
1374 something starting with __ and the normal name is an alias. */
1375 #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
1376 choke me
1377 #else
1378 $ac_func();
1379 #endif
1380
1381 ; return 0; }
1382 EOF
1383 if { (eval echo configure:1385: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1384 rm -rf conftest*
1385 eval "ac_cv_func_$ac_func=yes"
1386 else
1387 echo "configure: failed program was:" >&5
1388 cat conftest.$ac_ext >&5
1389 rm -rf conftest*
1390 eval "ac_cv_func_$ac_func=no"
1391 fi
1392 rm -f conftest*
1393 fi
1394
1395 if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
1396 echo "$ac_t""yes" 1>&6
1397 ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
1398 cat >> confdefs.h <<EOF
1399 #define $ac_tr_func 1
1400 EOF
1401
1402 else
1403 echo "$ac_t""no" 1>&6
1404 fi
1405 done
1406
1407 trap '' 1 2 15
1408 cat > confcache <<\EOF
1409 # This file is a shell script that caches the results of configure
1410 # tests run on this system so they can be shared between configure
1411 # scripts and configure runs. It is not useful on other systems.
1412 # If it contains results you don't want to keep, you may remove or edit it.
1413 #
1414 # By default, configure uses ./config.cache as the cache file,
1415 # creating it if it does not exist already. You can give configure
1416 # the --cache-file=FILE option to use a different cache file; that is
1417 # what configure does when it calls configure scripts in
1418 # subdirectories, so they share the cache.
1419 # Giving --cache-file=/dev/null disables caching, for debugging configure.
1420 # config.status only pays attention to the cache file if you give it the
1421 # --recheck option to rerun configure.
1422 #
1423 EOF
1424 # The following way of writing the cache mishandles newlines in values,
1425 # but we know of no workaround that is simple, portable, and efficient.
1426 # So, don't put newlines in cache variables' values.
1427 # Ultrix sh set writes to stderr and can't be redirected directly,
1428 # and sets the high bit in the cache file unless we assign to the vars.
1429 (set) 2>&1 |
1430 case `(ac_space=' '; set | grep ac_space) 2>&1` in
1431 *ac_space=\ *)
1432 # `set' does not quote correctly, so add quotes (double-quote substitution
1433 # turns \\\\ into \\, and sed turns \\ into \).
1434 sed -n \
1435 -e "s/'/'\\\\''/g" \
1436 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1437 ;;
1438 *)
1439 # `set' quotes correctly as required by POSIX, so do not add quotes.
1440 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1441 ;;
1442 esac >> confcache
1443 if cmp -s $cache_file confcache; then
1444 :
1445 else
1446 if test -w $cache_file; then
1447 echo "updating cache $cache_file"
1448 cat confcache > $cache_file
1449 else
1450 echo "not updating unwritable cache $cache_file"
1451 fi
1452 fi
1453 rm -f confcache
1454
1455 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1456
1457 test "x$prefix" = xNONE && prefix=$ac_default_prefix
1458 # Let make expand exec_prefix.
1459 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1460
1461 # Any assignment to VPATH causes Sun make to only execute
1462 # the first set of double-colon rules, so remove it if not needed.
1463 # If there is a colon in the path, we need to keep it.
1464 if test "x$srcdir" = x.; then
1465 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1466 fi
1467
1468 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1469
1470 DEFS=-DHAVE_CONFIG_H
1471
1472 # Without the "./", some shells look in PATH for config.status.
1473 : ${CONFIG_STATUS=./config.status}
1474
1475 echo creating $CONFIG_STATUS
1476 rm -f $CONFIG_STATUS
1477 cat > $CONFIG_STATUS <<EOF
1478 #! /bin/sh
1479 # Generated automatically by configure.
1480 # Run this file to recreate the current configuration.
1481 # This directory was configured as follows,
1482 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1483 #
1484 # $0 $ac_configure_args
1485 #
1486 # Compiler output produced by configure, useful for debugging
1487 # configure, is in ./config.log if it exists.
1488
1489 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1490 for ac_option
1491 do
1492 case "\$ac_option" in
1493 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1494 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1495 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1496 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1497 echo "$CONFIG_STATUS generated by autoconf version 2.13"
1498 exit 0 ;;
1499 -help | --help | --hel | --he | --h)
1500 echo "\$ac_cs_usage"; exit 0 ;;
1501 *) echo "\$ac_cs_usage"; exit 1 ;;
1502 esac
1503 done
1504
1505 ac_given_srcdir=$srcdir
1506
1507 trap 'rm -fr `echo "Makefile config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1508 EOF
1509 cat >> $CONFIG_STATUS <<EOF
1510
1511 # Protect against being on the right side of a sed subst in config.status.
1512 sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1513 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1514 $ac_vpsub
1515 $extrasub
1516 s%@SHELL@%$SHELL%g
1517 s%@CFLAGS@%$CFLAGS%g
1518 s%@CPPFLAGS@%$CPPFLAGS%g
1519 s%@CXXFLAGS@%$CXXFLAGS%g
1520 s%@FFLAGS@%$FFLAGS%g
1521 s%@DEFS@%$DEFS%g
1522 s%@LDFLAGS@%$LDFLAGS%g
1523 s%@LIBS@%$LIBS%g
1524 s%@exec_prefix@%$exec_prefix%g
1525 s%@prefix@%$prefix%g
1526 s%@program_transform_name@%$program_transform_name%g
1527 s%@bindir@%$bindir%g
1528 s%@sbindir@%$sbindir%g
1529 s%@libexecdir@%$libexecdir%g
1530 s%@datadir@%$datadir%g
1531 s%@sysconfdir@%$sysconfdir%g
1532 s%@sharedstatedir@%$sharedstatedir%g
1533 s%@localstatedir@%$localstatedir%g
1534 s%@libdir@%$libdir%g
1535 s%@includedir@%$includedir%g
1536 s%@oldincludedir@%$oldincludedir%g
1537 s%@infodir@%$infodir%g
1538 s%@mandir@%$mandir%g
1539 s%@CXX@%$CXX%g
1540 s%@CXXCPP@%$CXXCPP%g
1541 s%@CC@%$CC%g
1542 s%@CPP@%$CPP%g
1543
1544 CEOF
1545 EOF
1546
1547 cat >> $CONFIG_STATUS <<\EOF
1548
1549 # Split the substitutions into bite-sized pieces for seds with
1550 # small command number limits, like on Digital OSF/1 and HP-UX.
1551 ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1552 ac_file=1 # Number of current file.
1553 ac_beg=1 # First line for current file.
1554 ac_end=$ac_max_sed_cmds # Line after last line for current file.
1555 ac_more_lines=:
1556 ac_sed_cmds=""
1557 while $ac_more_lines; do
1558 if test $ac_beg -gt 1; then
1559 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1560 else
1561 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1562 fi
1563 if test ! -s conftest.s$ac_file; then
1564 ac_more_lines=false
1565 rm -f conftest.s$ac_file
1566 else
1567 if test -z "$ac_sed_cmds"; then
1568 ac_sed_cmds="sed -f conftest.s$ac_file"
1569 else
1570 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1571 fi
1572 ac_file=`expr $ac_file + 1`
1573 ac_beg=$ac_end
1574 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1575 fi
1576 done
1577 if test -z "$ac_sed_cmds"; then
1578 ac_sed_cmds=cat
1579 fi
1580 EOF
1581
1582 cat >> $CONFIG_STATUS <<EOF
1583
1584 CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1585 EOF
1586 cat >> $CONFIG_STATUS <<\EOF
1587 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1588 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1589 case "$ac_file" in
1590 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1591 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1592 *) ac_file_in="${ac_file}.in" ;;
1593 esac
1594
1595 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1596
1597 # Remove last slash and all that follows it. Not all systems have dirname.
1598 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1599 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1600 # The file is in a subdirectory.
1601 test ! -d "$ac_dir" && mkdir "$ac_dir"
1602 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1603 # A "../" for each directory in $ac_dir_suffix.
1604 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1605 else
1606 ac_dir_suffix= ac_dots=
1607 fi
1608
1609 case "$ac_given_srcdir" in
1610 .) srcdir=.
1611 if test -z "$ac_dots"; then top_srcdir=.
1612 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1613 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1614 *) # Relative path.
1615 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1616 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1617 esac
1618
1619
1620 echo creating "$ac_file"
1621 rm -f "$ac_file"
1622 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1623 case "$ac_file" in
1624 *Makefile*) ac_comsub="1i\\
1625 # $configure_input" ;;
1626 *) ac_comsub= ;;
1627 esac
1628
1629 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1630 sed -e "$ac_comsub
1631 s%@configure_input@%$configure_input%g
1632 s%@srcdir@%$srcdir%g
1633 s%@top_srcdir@%$top_srcdir%g
1634 " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1635 fi; done
1636 rm -f conftest.s*
1637
1638 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1639 # NAME is the cpp macro being defined and VALUE is the value it is being given.
1640 #
1641 # ac_d sets the value in "#define NAME VALUE" lines.
1642 ac_dA='s%^\([ ]*\)#\([ ]*define[ ][ ]*\)'
1643 ac_dB='\([ ][ ]*\)[^ ]*%\1#\2'
1644 ac_dC='\3'
1645 ac_dD='%g'
1646 # ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1647 ac_uA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1648 ac_uB='\([ ]\)%\1#\2define\3'
1649 ac_uC=' '
1650 ac_uD='\4%g'
1651 # ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1652 ac_eA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1653 ac_eB='$%\1#\2define\3'
1654 ac_eC=' '
1655 ac_eD='%g'
1656
1657 if test "${CONFIG_HEADERS+set}" != set; then
1658 EOF
1659 cat >> $CONFIG_STATUS <<EOF
1660 CONFIG_HEADERS="config.h"
1661 EOF
1662 cat >> $CONFIG_STATUS <<\EOF
1663 fi
1664 for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1665 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1666 case "$ac_file" in
1667 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1668 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1669 *) ac_file_in="${ac_file}.in" ;;
1670 esac
1671
1672 echo creating $ac_file
1673
1674 rm -f conftest.frag conftest.in conftest.out
1675 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1676 cat $ac_file_inputs > conftest.in
1677
1678 EOF
1679
1680 # Transform confdefs.h into a sed script conftest.vals that substitutes
1681 # the proper values into config.h.in to produce config.h. And first:
1682 # Protect against being on the right side of a sed subst in config.status.
1683 # Protect against being in an unquoted here document in config.status.
1684 rm -f conftest.vals
1685 cat > conftest.hdr <<\EOF
1686 s/[\\&%]/\\&/g
1687 s%[\\$`]%\\&%g
1688 s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1689 s%ac_d%ac_u%gp
1690 s%ac_u%ac_e%gp
1691 EOF
1692 sed -n -f conftest.hdr confdefs.h > conftest.vals
1693 rm -f conftest.hdr
1694
1695 # This sed command replaces #undef with comments. This is necessary, for
1696 # example, in the case of _POSIX_SOURCE, which is predefined and required
1697 # on some systems where configure will not decide to define it.
1698 cat >> conftest.vals <<\EOF
1699 s%^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1700 EOF
1701
1702 # Break up conftest.vals because some shells have a limit on
1703 # the size of here documents, and old seds have small limits too.
1704
1705 rm -f conftest.tail
1706 while :
1707 do
1708 ac_lines=`grep -c . conftest.vals`
1709 # grep -c gives empty output for an empty file on some AIX systems.
1710 if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1711 # Write a limited-size here document to conftest.frag.
1712 echo ' cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1713 sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1714 echo 'CEOF
1715 sed -f conftest.frag conftest.in > conftest.out
1716 rm -f conftest.in
1717 mv conftest.out conftest.in
1718 ' >> $CONFIG_STATUS
1719 sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1720 rm -f conftest.vals
1721 mv conftest.tail conftest.vals
1722 done
1723 rm -f conftest.vals
1724
1725 cat >> $CONFIG_STATUS <<\EOF
1726 rm -f conftest.frag conftest.h
1727 echo "/* $ac_file. Generated automatically by configure. */" > conftest.h
1728 cat conftest.in >> conftest.h
1729 rm -f conftest.in
1730 if cmp -s $ac_file conftest.h 2>/dev/null; then
1731 echo "$ac_file is unchanged"
1732 rm -f conftest.h
1733 else
1734 # Remove last slash and all that follows it. Not all systems have dirname.
1735 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1736 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1737 # The file is in a subdirectory.
1738 test ! -d "$ac_dir" && mkdir "$ac_dir"
1739 fi
1740 rm -f $ac_file
1741 mv conftest.h $ac_file
1742 fi
1743 fi; done
1744
1745 EOF
1746 cat >> $CONFIG_STATUS <<EOF
1747
1748 EOF
1749 cat >> $CONFIG_STATUS <<\EOF
1750
1751 exit 0
1752 EOF
1753 chmod +x $CONFIG_STATUS
1754 rm -fr confdefs* $ac_clean_files
1755 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1756
1757 make configscript
1758 ./.config